---
updatedAt: 2026-04-07T10:14:56.000Z
agentTools:
  siteIndex: https://developers.liveramp.com/llms.txt
  projectIndex: https://developers.liveramp.com/abilitec-api/llms.txt
---

# Lookup Endpoint - Batch Request Calls

Make batch request calls to the lookup endpoint to match multiple records in one call.

To make a batch request call, make a POST call to "<https://us.identity.api.liveramp.com/v1/batch/lookup"> and pass in a JSON array of URL strings constructed in the same way as a single transaction call to the Lookup endpoint. Start each string with "/entities/lookup?" and then include the encryption type (md5, sha1, or sha256), and `key` parameters for each request. For example: `/entities/sha1/?key=key,...`

You can pass up to 1,000 URL strings in a single batch call.

For guidelines on names, postal addresses, and supported combinations of data, see [Lookup Endpoint](https://developers.liveramp.com/abilitec-api/reference/lookup-endpoints-1).

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "abilitec-api",
    "version": "1.2.1"
  },
  "servers": [
    {
      "url": "https://us.identity.api.liveramp.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/batch/lookup?": {
      "post": {
        "summary": "Lookup Endpoint - Batch Request Calls",
        "description": "Make batch request calls to the lookup endpoint to match multiple records in one call.",
        "operationId": "batch-request-endpoint-lookup",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[ {\n  \"code\" : 200,\n  \"document\" : {\n    \"entity\" : {\n      \"abilitec\" : {\n        \"consumerLink\" : \"003YUS02XKRLMYCQ\"\n      },\n      \"contactFlags\" : {\n        \"isBestEmailTouchpoint\" : true\n      },\n      \"emailInsights\" : {\n        \"isClickVerified\" : true,\n        \"clickVerifyDate\" : \"2020-11-15T04:59:34+0000\"\n      }\n    }\n  }\n}, {\n  \"code\" : 200,\n  \"document\" : {\n    \"entity\" : {\n      \"abilitec\" : {\n        \"consumerLink\" : \"003YUS02XKRLMYCQ\"\n      },\n      \"contactFlags\" : {\n        \"isBestEmailTouchpoint\" : true\n      },\n      \"emailInsights\" : {\n        \"isClickVerified\" : true,\n        \"clickVerifyDate\" : \"2020-11-15T04:59:34+0000\"\n      }\n    }\n  }\n}, {\n  \"code\" : 200,\n  \"document\" : {\n    \"entity\" : {\n      \"abilitec\" : {\n        \"consumerLink\" : \"003YUS02XKRLMYCQ\"\n      },\n      \"contactFlags\" : {\n        \"isBestEmailTouchpoint\" : true\n      },\n      \"emailInsights\" : {\n        \"isClickVerified\" : true,\n        \"clickVerifyDate\" : \"2020-11-15T04:59:34+0000\"\n      }\n    }\n  }\n} ]\n"
                  }
                },
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "code": {
                        "type": "integer",
                        "example": 200,
                        "default": 0
                      },
                      "document": {
                        "type": "object",
                        "properties": {
                          "entity": {
                            "type": "object",
                            "properties": {
                              "abilitec": {
                                "type": "object",
                                "properties": {
                                  "consumerLink": {
                                    "type": "string",
                                    "example": "003YUS02XKRLMYCQ"
                                  }
                                }
                              },
                              "contactFlags": {
                                "type": "object",
                                "properties": {
                                  "isBestEmailTouchpoint": {
                                    "type": "boolean",
                                    "example": true,
                                    "default": true
                                  }
                                }
                              },
                              "emailInsights": {
                                "type": "object",
                                "properties": {
                                  "isClickVerified": {
                                    "type": "boolean",
                                    "example": true,
                                    "default": true
                                  },
                                  "clickVerifyDate": {
                                    "type": "string",
                                    "example": "2020-11-15T04:59:34+0000"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "http",
              "code": "POST /v1/batch/lookup \nBODY '[\"/entities/sha1?key=ac04b6f3667ddb3d165abcb6962ef135dbb982fc\", \n\"/entities/sha256?key=405ec4a32a6b5d32a4fc0622c312a16f5277c49c6b9e4348520751a8f2eb65ae\", \n\"/entities/md5?key=99967fcf4a0a95c55a9bd9fcbfef340a\" ,...]'\n"
            }
          ],
          "samples-languages": [
            "http"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```